Index: code/branches/presentation/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/AddQuest.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/AddQuest.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuest.cc
+    @file
     @brief Implementation of the AddQuest class.
 */
@@ -44,6 +44,6 @@
 #include "Quest.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(AddQuest);
 
Index: code/branches/presentation/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/AddQuest.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/AddQuest.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuest.h
+    @file
     @brief Definition of the AddQuest class.
 */
@@ -42,6 +42,6 @@
 #include "ChangeQuestStatus.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuestHint.cc
+    @file
     @brief Implementation of the AddQuestHint class.
 */
@@ -43,6 +43,6 @@
 #include "QuestHint.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(AddQuestHint);
 
Index: code/branches/presentation/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/AddQuestHint.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/AddQuestHint.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuestHint.h
+    @file
     @brief Definition of the AddQuestHint class.
 */
@@ -41,6 +41,6 @@
 #include "QuestEffect.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/AddReward.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/AddReward.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddReward.cc
+    @file
     @brief Implementation of the AddReward class.
 */
@@ -40,6 +40,6 @@
 #include "Rewardable.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(AddReward);
 
Index: code/branches/presentation/src/orxonox/objects/quest/AddReward.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/AddReward.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/AddReward.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddReward.h
+    @file
     @brief Definition of the AddReward class.
 */
@@ -42,6 +42,6 @@
 #include "QuestEffect.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file ChangeQuestStatus.cc
+    @file
     @brief Implementation of the ChangeQuestStatus class.
 */
@@ -39,6 +39,6 @@
 #include "QuestItem.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file ChangeQuestStatus.h
+    @file
     @brief Definition of the ChangeQuestStatus class.
 */
@@ -42,6 +42,6 @@
 #include "QuestEffect.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file CompleteQuest.cc
+    @file
     @brief Implementation of the CompleteQuest class.
 */
@@ -42,6 +42,6 @@
 #include "Quest.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(CompleteQuest);
 
Index: code/branches/presentation/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/CompleteQuest.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/CompleteQuest.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file CompleteQuest.h
+    @file
     @brief Definition of the CompleteQuest class.
 */
@@ -42,6 +42,6 @@
 #include "ChangeQuestStatus.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/FailQuest.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/FailQuest.cc	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file FailQuest.cc
+    @file
     @brief Implementation of the FailQuest class.
 */
@@ -42,6 +42,6 @@
 #include "Quest.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(FailQuest);
 
Index: code/branches/presentation/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/FailQuest.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/FailQuest.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file FailQuest.h
+    @file
     @brief Definition of the FailQuest class.
 */
@@ -42,6 +42,6 @@
 #include "ChangeQuestStatus.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file GlobalQuest.cc
+    @file
     @brief Implementation of the GlobalQuest class.
 */
@@ -42,6 +42,6 @@
 #include "QuestEffect.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(GlobalQuest);
 
Index: code/branches/presentation/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/GlobalQuest.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/GlobalQuest.h	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file GlobalQuest.h
+    @file
     @brief Definition of the GlobalQuest class.
 */
@@ -43,6 +43,6 @@
 #include "Quest.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/LocalQuest.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/LocalQuest.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file LocalQuest.cc
+    @file
     @brief Implementation of the LocalQuest class.
 */
@@ -42,6 +42,6 @@
 #include "QuestEffect.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(LocalQuest);
 
Index: code/branches/presentation/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/LocalQuest.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/LocalQuest.h	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file LocalQuest.h
+    @file
     @brief Definition of the LocalQuest class.
 */
@@ -43,6 +43,6 @@
 #include "Quest.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/Quest.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/Quest.cc	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file Quest.cc
+    @file
     @brief Implementation of the Quest class.
 */
@@ -44,6 +44,6 @@
 #include "QuestListener.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/Quest.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/Quest.h	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file Quest.h
+    @file
     @brief Definition of the Quest class.
         The Quest is the parent class of LocalQuest and GlobalQuest.
@@ -45,19 +45,19 @@
 #include "QuestItem.h"
 
-namespace questStatus
+namespace orxonox
 {
+    namespace questStatus
+    {
 
-    //!Different states of a Quest.
-    enum Enum
-    {
-        inactive,
-        active,
-        failed,
-        completed
-    };
+        //!Different states of a Quest.
+        enum Enum
+        {
+            inactive,
+            active,
+            failed,
+            completed
+        };
 
-}
-
-namespace orxonox {
+    }
 
     /**
Index: code/branches/presentation/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestDescription.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestDescription.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestDescription.cc
+    @file
     @brief Implementation of the QuestDescription class.
 */
@@ -39,6 +39,6 @@
 #include "orxonox/overlays/notifications/Notification.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(QuestDescription);
 
@@ -128,5 +128,5 @@
         }
         
-        Notification* notification = new Notification(message, title, 30);
+        Notification* notification = new Notification(0, message, title, 30);
         notification->send();
         return true;
Index: code/branches/presentation/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestDescription.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestDescription.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestDescription.h
+    @file
     @brief Definition of the QuestDescription class.
 */
@@ -42,6 +42,6 @@
 #include "core/XMLPort.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
@@ -55,6 +55,6 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestDescription : public BaseObject {
-
+    class _OrxonoxExport QuestDescription : public BaseObject
+    {
         public:
             QuestDescription(BaseObject* creator);
Index: code/branches/presentation/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestEffect.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestEffect.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffect.cc
+    @file
     @brief Implementation of the QuestEffect class.
 */
@@ -39,6 +39,6 @@
 #include "orxonox/objects/infos/PlayerInfo.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestEffect.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestEffect.h	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestEffect.h
+    @file
     @brief Definition of the QuestEffect class.
 */
@@ -41,6 +41,6 @@
 #include "core/BaseObject.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffectBeacon.cc
+    @file
     @brief Implementation of the QuestEffectBeacon class.
 */
@@ -45,6 +45,6 @@
 #include "QuestEffect.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(QuestEffectBeacon);
 
@@ -58,5 +58,5 @@
         
         this->status_ = QuestEffectBeaconStatus::active;
-        this->times_ = INFINITE;
+        this->times_ = INFINITE_TIME;
     }
 
@@ -186,5 +186,5 @@
             return false;
         }
-        if(this->getTimes() == INFINITE) //!< If times is infinity the QuestEffectBeacon can be executed an infinite number fo times.
+        if(this->getTimes() == INFINITE_TIME) //!< If times is infinity the QuestEffectBeacon can be executed an infinite number fo times.
         {
             return true;
@@ -212,5 +212,5 @@
     bool QuestEffectBeacon::setTimes(const int & n)
     {
-        if(n < 0 && n != INFINITE)
+        if(n < 0 && n != INFINITE_TIME)
         {
             return false;
Index: code/branches/presentation/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffectBeacon.h
+    @file
     @brief Definition of the QuestEffectBeacon class.
 */
@@ -39,17 +39,17 @@
 #include "orxonox/objects/worldentities/PositionableEntity.h"
 
-namespace QuestEffectBeaconStatus
+namespace orxonox
 {
+    namespace QuestEffectBeaconStatus
+    {
 
-    //! The status of the beacon, can be either active or inactive.
-    enum Enum
-    {
-        inactive,
-        active
-    };
+        //! The status of the beacon, can be either active or inactive.
+        enum Enum
+        {
+            inactive,
+            active
+        };
 
-}
-
-namespace orxonox {
+    }
 
     /**
@@ -112,5 +112,5 @@
     
         private:
-            static const int INFINITE = -1; //!< Constant to avoid using magic numbers.
+            static const int INFINITE_TIME = -1; //!< Constant to avoid using magic numbers.
             
             std::list<QuestEffect*> effects_; //!< The list of QuestEffects to be invoked on the executing player.
Index: code/branches/presentation/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestHint.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestHint.cc	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestHint.cc
+    @file
     @brief Implementation of the QuestHint class.
 */
@@ -43,6 +43,6 @@
 #include "Quest.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(QuestHint);
 
Index: code/branches/presentation/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestHint.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestHint.h	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestHint.h
+    @file
     @brief Definition of the QuestHint class.
 */
@@ -43,18 +43,17 @@
 #include "QuestItem.h"
 
-namespace questHintStatus
-{
-
-    //! The state of the hint.
-    enum Enum
-    {
-        inactive,
-        active
-    };
-
-}
-
 namespace orxonox
 {
+    namespace questHintStatus
+    {
+
+        //! The state of the hint.
+        enum Enum
+        {
+            inactive,
+            active
+        };
+
+    }
 
     /**
Index: code/branches/presentation/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestItem.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestItem.cc	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestItem.cc
+    @file
     @brief Implementation of the QuestItem class.
 */
@@ -39,6 +39,6 @@
 #include "QuestDescription.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestItem.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestItem.h	(revision 2435)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestItem.h
+    @file
     @brief Definition of the QuestItem class.
         The QuestItem is the parent class of Quest and QuestHint.
@@ -44,7 +44,6 @@
 #include "core/XMLPort.h"
 
-namespace orxonox {
-
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/QuestListener.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestListener.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestListener.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestListener.cc
+    @file
     @brief Implementation of the QuestListener class.
 */
@@ -42,6 +42,6 @@
 #include "QuestManager.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     CreateFactory(QuestListener);
 
@@ -152,6 +152,6 @@
         {
             COUT(2) << "QuestListener with invalid mode '" << mode << "' created. Mode set to 'all'." << std::endl;
-	    this->mode_ = questListenerMode::all;
-	    return false;
+        this->mode_ = questListenerMode::all;
+        return false;
         }
         
@@ -186,5 +186,5 @@
         {
             COUT(1) << "An unforseen, never to happen, Error has occured. This is impossible!" << std::endl;
-	    return "";
+        return "";
         }
     }
Index: code/branches/presentation/src/orxonox/objects/quest/QuestListener.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestListener.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestListener.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestListener.h
+    @file
     @brief Definition of the QuestListener class.
 */
@@ -44,19 +44,19 @@
 #include "Quest.h"
 
-namespace questListenerMode
+namespace orxonox
 {
+    namespace questListenerMode
+    {
 
-    //! The mode of the QuestListener.
-    enum Enum
-    {
-        all,
-        start,
-        fail,
-        complete
-    };
+        //! The mode of the QuestListener.
+        enum Enum
+        {
+            all,
+            start,
+            fail,
+            complete
+        };
 
-}
-
-namespace orxonox {
+    }
 
     /**
@@ -75,33 +75,33 @@
         </BaseObject>
     @author
-	Damian 'Mozork' Frick
+    Damian 'Mozork' Frick
     */
     class _OrxonoxExport QuestListener : public BaseObject
     {
-	public:
-	    QuestListener(BaseObject* creator);
-	    virtual ~QuestListener();
-	    
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestListener object through XML.
-	    
-	    static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status); //!< Makes all QuestListener in the list aware that a certain status change has occured.
-	    
-	    bool setQuestId(const std::string & id); //!< Sets the questId of the Quest the QuestListener reacts to.
-	    bool setMode(const std::string & mode); //!< Sets the mode of the QuestListener.
-	    
-	    const std::string getMode(void); //!< Get the mode of the QuestListener.
-	    
-	    /**
-	    @brief Get the questId of the Quest the QuestListener reacts to.
-	    @return Returns the questId of the Quest the QuestListener reacts to.
-	    */
-	    inline const std::string & getQuestId(void)
+    public:
+        QuestListener(BaseObject* creator);
+        virtual ~QuestListener();
+        
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestListener object through XML.
+        
+        static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status); //!< Makes all QuestListener in the list aware that a certain status change has occured.
+        
+        bool setQuestId(const std::string & id); //!< Sets the questId of the Quest the QuestListener reacts to.
+        bool setMode(const std::string & mode); //!< Sets the mode of the QuestListener.
+        
+        const std::string getMode(void); //!< Get the mode of the QuestListener.
+        
+        /**
+        @brief Get the questId of the Quest the QuestListener reacts to.
+        @return Returns the questId of the Quest the QuestListener reacts to.
+        */
+        inline const std::string & getQuestId(void)
                 { return this->quest_->getId(); }
-	    
-	    bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
-	    
-	private:
-            questListenerMode::Enum mode_; //!< The mode of the QuestListener.
-            Quest* quest_; //!< A pointer to the Quest the QuestListener is reacting to.
+        
+        bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
+        
+    private:
+        questListenerMode::Enum mode_; //!< The mode of the QuestListener.
+        Quest* quest_; //!< A pointer to the Quest the QuestListener is reacting to.
     
     };
Index: code/branches/presentation/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestManager.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestManager.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestManager.cc
+    @file
     @brief Implementation of the QuestManager class.
 */
@@ -41,6 +41,6 @@
 #include "QuestHint.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     //! All Quests registered by their id's.
     std::map<std::string, Quest*> QuestManager::questMap_s;
Index: code/branches/presentation/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/QuestManager.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/QuestManager.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestManager.h
+    @file
     @brief Definition of the QuestManager class.
 */
@@ -42,6 +42,6 @@
 #include "core/BaseObject.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/Rewardable.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/Rewardable.cc	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file Rewardable.cc
+    @file
     @brief Implementation of the Rewardable class.
 */
@@ -37,6 +37,6 @@
 #include "core/CoreIncludes.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
Index: code/branches/presentation/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/quest/Rewardable.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/quest/Rewardable.h	(revision 2435)
@@ -28,5 +28,5 @@
 
 /**
-    @file Rewardable.h
+    @file
     @brief Definition of the Rewardable class.
 */
@@ -39,6 +39,6 @@
 #include "core/BaseObject.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
@@ -51,5 +51,4 @@
     class _OrxonoxExport Rewardable : public BaseObject
     {
-
         public:
             Rewardable(BaseObject* creator);
Index: code/branches/presentation/src/orxonox/objects/worldentities/Planet.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/Planet.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/worldentities/Planet.cc	(revision 2435)
@@ -27,15 +27,7 @@
  */
 
-
 #include "OrxonoxStableHeaders.h"
 #include "Planet.h"
 
-#include "tinyxml/tinyxml.h"
-#include "core/CoreIncludes.h"
-#include "GraphicsEngine.h"
-#include "core/XMLPort.h"
-#include "CameraManager.h"
-#include "objects/Scene.h"
-#include "Camera.h"
 #include <math.h>
 
@@ -45,4 +37,10 @@
 #include <OgreMeshManager.h>
 
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "objects/Scene.h"
+#include "CameraManager.h"
+#include "Camera.h"
+#include "GraphicsEngine.h"
 
 namespace orxonox
@@ -67,31 +65,31 @@
             this->getNode()->detachObject(this->mesh_.getEntity());
     }    
-    
+
     void Planet::tick(float dt)
     {
         if(!this->isVisible())
             return;
-            
+
         Camera* activeCamera = CameraManager::getInstance().getActiveCamera();
-	if(activeCamera)
-	{
+        if(activeCamera)
+        {
             Real distance = this->getPosition().distance( activeCamera->getWorldPosition() );
-//             COUT(2) << distance << std::endl;
+            //             COUT(2) << distance << std::endl;
             Real planetRadius = this->getScale();
-        
+
             Real newScale = 2 * distance / sqrt(distance*distance - planetRadius*planetRadius);
             Real tempTest = newScale*(1+Real(this->atmosphereSize)/Real(this->imageSize));
             newScale = tempTest;
-        
+
             this->billboard_.getBillboardSet()->setDefaultDimensions(newScale, newScale);
-	}
-                
+        }
+
         SUPER(Planet, tick, dt);
     }
-  
-    void Planet::init(){
-    
+
+    void Planet::init()
+    {
         Real scaleFactor = this->getScale();
-        
+
         this->distList.push_back(10.0*scaleFactor);
         this->distList.push_back(19.0*scaleFactor);
@@ -104,10 +102,10 @@
         this->distList.push_back(54.0*scaleFactor);
         this->distList.push_back(55.0*scaleFactor);
-        
+
         Real reductionValue = 0.2;
-        
+
         this->mesh_.getEntity()->getMesh()->generateLodLevels(distList, Ogre::ProgressiveMesh::VRQ_PROPORTIONAL, reductionValue);
         billboard_.setBillboardSet(this->getScene()->getSceneManager(), this->atmosphere_, Vector3(0,0,0));
-        
+
         this->getNode()->attachObject(this->billboard_.getBillboardSet());    
         this->billboard_.getBillboardSet()->setUseAccurateFacing(true);
@@ -116,5 +114,5 @@
         this->mesh_.setCastShadows(true);
     }
-    
+
     void Planet::changedMesh()
     {
@@ -147,5 +145,5 @@
     {
         SUPER(Planet, XMLPort, xmlelement, mode);
-        
+
         XMLPortParam(Planet, "atmosphere", setAtmosphere, getAtmosphere, xmlelement, mode).defaultValues("planet/Atmosphere");
         XMLPortParam(Planet, "atmospheresize", setAtmosphereSize, getAtmosphereSize, xmlelement,mode);     
@@ -153,8 +151,8 @@
         XMLPortParam(Planet, "mesh", setMeshSource, getMeshSource, xmlelement, mode);
         XMLPortParam(Planet, "shadow", setCastShadows, getCastShadows, xmlelement, mode).defaultValues(true);
-        
     }
 
-    void Planet::registerVariables(){
+    void Planet::registerVariables()
+    {
         registerVariable(this->atmosphere_, variableDirection::toclient);
         registerVariable(this->meshSrc_, variableDirection::toclient, new NetworkCallback<Planet>(this, &Planet::changedMesh));
@@ -168,6 +166,8 @@
         SUPER(Planet, changedVisibility);
         if (this->isInitialized())
+        {
             this->mesh_.setVisible(this->isVisible());
             this->billboard_.setVisible(this->isVisible());
+        }
     }
 }
Index: code/branches/presentation/src/orxonox/objects/worldentities/Planet.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/Planet.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/worldentities/Planet.h	(revision 2435)
@@ -29,14 +29,14 @@
 #ifndef _Planet_H__
 #define _Planet_H__
-#include "tools/BillboardSet.h"
+
 #include "OrxonoxPrereqs.h"
 
+#include "tools/BillboardSet.h"
+#include "tools/Mesh.h"
 #include "MovableEntity.h"
-#include "tools/Mesh.h"
 #include "objects/Tickable.h"
 
 namespace orxonox
 {
-
     class _OrxonoxExport Planet : public MovableEntity
     {
Index: code/branches/presentation/src/orxonox/objects/worldentities/triggers/PlayerTrigger.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/triggers/PlayerTrigger.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/worldentities/triggers/PlayerTrigger.cc	(revision 2435)
@@ -28,7 +28,7 @@
 
 /**
-    @file PlayerTrigger.cc
+    @file
     @brief
-	Implementation of the PlayerTrigger class.
+    Implementation of the PlayerTrigger class.
 */
 
@@ -38,6 +38,6 @@
 #include "core/CoreIncludes.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
@@ -47,9 +47,9 @@
     {
         RegisterObject(PlayerTrigger);
-        
+
         this->player_ = NULL;
         this->isForPlayer_ = true;
     }
-    
+
     /**
     @brief
@@ -66,6 +66,5 @@
     void PlayerTrigger::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-	SUPER(PlayerTrigger, XMLPort, xmlelement, mode);
+        SUPER(PlayerTrigger, XMLPort, xmlelement, mode);
     }
-
 }
Index: code/branches/presentation/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h	(revision 2435)
@@ -28,7 +28,7 @@
 
 /**
-    @file PlayerTrigger.h
+    @file
     @brief
-	Definition of the PlayerTrigger class.
+    Definition of the PlayerTrigger class.
 */
 
@@ -40,6 +40,6 @@
 #include "Trigger.h"
 
-namespace orxonox {
-    
+namespace orxonox
+{
     /**
     @brief
@@ -50,33 +50,33 @@
     class _OrxonoxExport PlayerTrigger : public Trigger
     {
-	public:
-	    PlayerTrigger(BaseObject* creator);
-	    virtual ~PlayerTrigger();
-	    
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a PlayerTrigger object through XML.
+    public:
+        PlayerTrigger(BaseObject* creator);
+        virtual ~PlayerTrigger();
+        
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a PlayerTrigger object through XML.
+        
+        /**
+        @brief Returns the player that triggered the PlayerTrigger.
+        @return Returns a pointer to the ControllableEntity that triggered the PlayerTrigger.
+        */
+        inline ControllableEntity* getTriggeringPlayer(void) const
+            { return this->player_; }
+        
+        /**
+        @brief Checks whether the PlayerTrigger normally returns a ControllableEntity.
+        @return Returns true if the PlayerTrigger normally returns a ControllableEntity.
+        */
+        inline bool isForPlayer(void) const
+           { return this->isForPlayer_; }
             
-            /**
-            @brief Returns the player that triggered the PlayerTrigger.
-            @return Returns a pointer to the ControllableEntity that triggered the PlayerTrigger.
-            */
-            inline ControllableEntity* getTriggeringPlayer(void) const
-                { return this->player_; }
-	    
-	    /**
-	    @brief Checks whether the PlayerTrigger normally returns a ControllableEntity.
-	    @return Returns true if the PlayerTrigger normally returns a ControllableEntity.
-	    */
-	    inline bool isForPlayer(void) const
-	       { return this->isForPlayer_; }
-            
-	protected:
-	    virtual bool isTriggered(TriggerMode mode) = 0;
-	    
-	    /**
-	    @brief Set the player that triggered the PlayerTrigger. This is normally done by classes inheriting vom PlayerTrigger.
-	    @param player A pointer to the ControllableEntity that triggered the PlayerTrigger.
-	    */
-	    inline void setTriggeringPlayer(ControllableEntity* player)
-	       { this->player_ = player; }
+    protected:
+        virtual bool isTriggered(TriggerMode mode) = 0;
+        
+        /**
+        @brief Set the player that triggered the PlayerTrigger. This is normally done by classes inheriting vom PlayerTrigger.
+        @param player A pointer to the ControllableEntity that triggered the PlayerTrigger.
+        */
+        inline void setTriggeringPlayer(ControllableEntity* player)
+           { this->player_ = player; }
 
             /**
@@ -84,11 +84,11 @@
             @param isForPlayer Should be true when the PlayerTrigger schould be set to normally be triggered by ControllableEntities, false if not.
             */
-	    inline void setForPlayer(bool isForPlayer)
-	       { this->isForPlayer_ = isForPlayer; }
-	    
-	private:
-	    ControllableEntity* player_; //!< The player that triggered the PlayerTrigger.
-	    bool isForPlayer_; //!< Is true when the PlayerTrigger schould be set to normally be triggered by ControllableEntities.
-	
+        inline void setForPlayer(bool isForPlayer)
+           { this->isForPlayer_ = isForPlayer; }
+        
+    private:
+        ControllableEntity* player_; //!< The player that triggered the PlayerTrigger.
+        bool isForPlayer_; //!< Is true when the PlayerTrigger schould be set to normally be triggered by ControllableEntities.
+    
     };
 
Index: code/branches/presentation/src/orxonox/overlays/notifications/Notification.cc
===================================================================
--- code/branches/presentation/src/orxonox/overlays/notifications/Notification.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/overlays/notifications/Notification.cc	(revision 2435)
@@ -34,6 +34,6 @@
 #include "NotificationManager.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     Notification::Notification(BaseObject* creator) : BaseObject(creator)
     {
@@ -41,5 +41,5 @@
     }
     
-    Notification::Notification(const std::string & message, const std::string & title, float time) : BaseObject(this)
+    Notification::Notification(BaseObject* creator, const std::string & message, const std::string & title, float time) : BaseObject(creator)
     {
         this->title_ = title;
@@ -59,5 +59,5 @@
         this->title_ = "";
         this->message_ = "";
-        this->displayTime_ = DISPLAY_TIME;
+        this->displayTime_ = NOTIFICATION_DISPLAY_TIME;
         this->sent_ = false;
     }
@@ -68,5 +68,5 @@
         if(successful)
             this->sent_ = true;
-	return successful;
+        return successful;
     }
     
@@ -75,6 +75,6 @@
         if(this->isSent())
             return false;
-	this->title_ = title;
-	return true;
+        this->title_ = title;
+        return true;
     }
     
@@ -83,6 +83,6 @@
         if(this->isSent())
             return false;
-	this->message_ = message;
-	return true;
+        this->message_ = message;
+        return true;
     }
     
@@ -92,12 +92,11 @@
         {
             return false;
-	}
-	if(time > 0)
-	{
-	    this->displayTime_ = time;
-	    return true;
-	}
-	return false;
+        }
+        if(time > 0)
+        {
+            this->displayTime_ = time;
+            return true;
+        }
+        return false;
     }
-
 }
Index: code/branches/presentation/src/orxonox/overlays/notifications/Notification.h
===================================================================
--- code/branches/presentation/src/orxonox/overlays/notifications/Notification.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/overlays/notifications/Notification.h	(revision 2435)
@@ -36,9 +36,11 @@
 #include "core/BaseObject.h"
 
-namespace orxonox {
+namespace orxonox
+{
+    static const float NOTIFICATION_DISPLAY_TIME = 4.0;
 
     /**
     @brief
-	This is rather temporary, so don't start relying on it, some better version will come soon but the Interface will not likely be the same.
+        This is rather temporary, so don't start relying on it, some better version will come soon but the Interface will not likely be the same.
     @author
         Damian 'Mozork' Frick
@@ -46,36 +48,32 @@
     class _OrxonoxExport Notification : public BaseObject
     {
-	public:
-	    Notification(BaseObject* creator);
-	    Notification(const std::string & message, const std::string & title = "", float time = DISPLAY_TIME);
-	    virtual ~Notification();
-	    
-	    bool send(void);
-	    
-	    inline bool isSent(void) const
-                { return this->sent_; }
-	    inline const std::string & getTitle(void) const
-                { return this->title_; }
-	    inline const std::string & getMessage(void) const
-                { return this->message_; }
-	    inline const float getDisplayTime(void) const
-                { return displayTime_; }
-	    
-	    bool setTitle(const std::string & title);
-	    bool setMessage(const std::string & message);
-	    bool setDisplayTime(float time);
-	    
-	private:
-            static const float DISPLAY_TIME = 4.0;
-	
-            std::string title_; //!< The title of the Notification.
-            std::string message_; //!< The Notification message.
-            float displayTime_; //!< The time duration the Notification is displayed in seconds.
-            bool sent_; //!< Whether Notification has been sent, if so it cannot be changed.
-            
-            void initialize(void);
-	
+    public:
+        Notification(BaseObject* creator);
+        Notification(BaseObject* creator, const std::string & message, const std::string & title = "", float time = NOTIFICATION_DISPLAY_TIME);
+        virtual ~Notification();
+        
+        bool send(void);
+        
+        inline bool isSent(void) const
+            { return this->sent_; }
+        inline const std::string & getTitle(void) const
+            { return this->title_; }
+        inline const std::string & getMessage(void) const
+            { return this->message_; }
+        inline const float getDisplayTime(void) const
+            { return displayTime_; }
+        
+        bool setTitle(const std::string & title);
+        bool setMessage(const std::string & message);
+        bool setDisplayTime(float time);
+        
+    private:
+        std::string title_; //!< The title of the Notification.
+        std::string message_; //!< The Notification message.
+        float displayTime_; //!< The time duration the Notification is displayed in seconds.
+        bool sent_; //!< Whether Notification has been sent, if so it cannot be changed.
+        
+        void initialize(void);
     };
-
 }
 
Index: code/branches/presentation/src/orxonox/overlays/notifications/NotificationManager.cc
===================================================================
--- code/branches/presentation/src/orxonox/overlays/notifications/NotificationManager.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/overlays/notifications/NotificationManager.cc	(revision 2435)
@@ -36,6 +36,6 @@
 #include "NotificationQueue.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     std::list<NotificationContainer*> NotificationManager::notifications_s;
 
@@ -55,22 +55,22 @@
     
         for (std::list<NotificationContainer*>::iterator notification = notifications_s.begin(); notification != notifications_s.end(); ++notification)
-	{
+        {
             NotificationContainer* container = *notification;
             if(container->remainingTime == 0)
             {
                 continue;
-	    }
-	    else if(container->remainingTime - dt <= 0)
-	    {
-	       container->remainingTime = 0;
-	       update = true;
-	    }
-	    else
-	    {
+            }
+            else if(container->remainingTime - dt <= 0)
+            {
+                container->remainingTime = 0;
+                update = true;
+            }
+            else
+            {
                 container->remainingTime = container->remainingTime -dt;
-	    }
-	}
-	
-	if(update)
+            }
+        }
+    
+        if(update)
             updateQueue();
     }
@@ -81,7 +81,7 @@
             return false;
             
-	NotificationContainer* container = new NotificationContainer;
-	container->notification = notification;
-	container->remainingTime = notification->getDisplayTime();
+        NotificationContainer* container = new NotificationContainer;
+        container->notification = notification;
+        container->remainingTime = notification->getDisplayTime();
         notifications_s.push_front(container);
         
@@ -105,5 +105,5 @@
                 continue;
             
-	    text = text + "\n\n\n------------\n\n" + clipMessage(container->notification->getTitle()) + "\n\n" + clipMessage(container->notification->getMessage());
+            text = text + "\n\n\n------------\n\n" + clipMessage(container->notification->getTitle()) + "\n\n" + clipMessage(container->notification->getMessage());
         }
         
Index: code/branches/presentation/src/orxonox/overlays/notifications/NotificationManager.h
===================================================================
--- code/branches/presentation/src/orxonox/overlays/notifications/NotificationManager.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/overlays/notifications/NotificationManager.h	(revision 2435)
@@ -37,6 +37,6 @@
 #include <string>
 
-namespace orxonox {
-
+namespace orxonox
+{
     struct NotificationContainer
     {
@@ -54,17 +54,17 @@
     {
     
-        public:
-	    NotificationManager(BaseObject* creator);
-	    virtual ~NotificationManager();
-	    
-	    static bool insertNotification(Notification* notification);
-	    
-	    static void tick(float dt);
-	    
-	private:
-            static std::list<NotificationContainer*> notifications_s;
-            
-            static void updateQueue(void);
-            static const std::string clipMessage(const std::string & message);
+    public:
+        NotificationManager(BaseObject* creator);
+        virtual ~NotificationManager();
+        
+        static bool insertNotification(Notification* notification);
+        
+        static void tick(float dt);
+        
+    private:
+        static std::list<NotificationContainer*> notifications_s;
+        
+        static void updateQueue(void);
+        static const std::string clipMessage(const std::string & message);
 
     };
Index: code/branches/presentation/src/orxonox/overlays/notifications/NotificationQueue.cc
===================================================================
--- code/branches/presentation/src/orxonox/overlays/notifications/NotificationQueue.cc	(revision 2420)
+++ code/branches/presentation/src/orxonox/overlays/notifications/NotificationQueue.cc	(revision 2435)
@@ -35,6 +35,6 @@
 #include "NotificationManager.h"
 
-namespace orxonox {
-
+namespace orxonox
+{
     NotificationQueue* NotificationQueue::queue_s = 0;
     
@@ -46,14 +46,14 @@
         //TDO: Does this work?
         if(queue_s != NULL)
-	{
-            COUT(2) << "There is now more than one NotificationQueue, this shouldn't happen, since only the first NotificationQueue will be targeted by the NotificationManager." << std::endl;
-	}
-	else
-	{
-            queue_s = this;
-	}
-	
-	this->length_ = 3;
-	this->width_ = 50;
+        {
+                COUT(2) << "There is now more than one NotificationQueue, this shouldn't happen, since only the first NotificationQueue will be targeted by the NotificationManager." << std::endl;
+        }
+        else
+        {
+                queue_s = this;
+        }
+        
+        this->length_ = 3;
+        this->width_ = 50;
     }
     
Index: code/branches/presentation/src/orxonox/overlays/notifications/NotificationQueue.h
===================================================================
--- code/branches/presentation/src/orxonox/overlays/notifications/NotificationQueue.h	(revision 2420)
+++ code/branches/presentation/src/orxonox/overlays/notifications/NotificationQueue.h	(revision 2435)
@@ -38,6 +38,6 @@
 #include <string>
 
-namespace orxonox {
-
+namespace orxonox
+{
     /**
     @brief
@@ -48,29 +48,29 @@
     class _OrxonoxExport NotificationQueue : public OverlayText, public Tickable
     {
-	public:
-	    NotificationQueue(BaseObject* creator);
-	    virtual ~NotificationQueue();
-	    
-	    static NotificationQueue* queue_s; //TDO Singleton? oder im level.
-	    
-	    virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
-	    
-	    virtual void tick(float dt);
-	    
-	    void update(void);
-	    
-	    int getLength(void) const
+    public:
+        NotificationQueue(BaseObject* creator);
+        virtual ~NotificationQueue();
+        
+        static NotificationQueue* queue_s; //TDO Singleton? oder im level.
+        
+        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        
+        virtual void tick(float dt);
+        
+        void update(void);
+        
+        int getLength(void) const
                 { return this->length_; }
-	    int getWidth(void) const
+        int getWidth(void) const
                 { return this->width_; }
-	    
-	    void setQueueText(const std::string & text);
-	    bool setLength(int length);
-	    bool setWidth(int width);
-	    
-	private:
-            Ogre::UTFString queueText_;
-            int length_;
-            int width_;
+        
+        void setQueueText(const std::string & text);
+        bool setLength(int length);
+        bool setWidth(int width);
+        
+    private:
+        Ogre::UTFString queueText_;
+        int length_;
+        int width_;
     
     };
